public partial class Workshops : Node
	, IReadOnlyCollection<Workshop>
{
	public Workshop ByPeerId(int peerId)
		=> this.GetNodeOrThrow<Workshop>(peerId.ToString());

	// IReadOnlyCollection implementation

	public int Count
		=> GetChildCount();
	public IEnumerator<Workshop> GetEnumerator()
		=> GetChildren().Cast<Workshop>().GetEnumerator();
	System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
		=> GetEnumerator();
}
